﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace SilverlightApplication7
{
	public class MainViewModel
	{
		public ObservableCollection<TabItemViewModel> Tabs { get; set; }

		public MainViewModel()
		{
			Tabs = new ObservableCollection<TabItemViewModel>();
			for (int i = 0; i < 5; i++)
			{
				Tabs.Add(new TabItemViewModel()
				{
					Name = String.Format("Tab {0}", i),
					CharacteristicMenu = new DelegateCommand(new Action<object>((p) => { this.MyCommandAction(p); }))
				});
			}
		}

		private void MyCommandAction(object param)
		{
			MessageBox.Show(param.ToString());
		}
	}
}
